org.appng.core.templating

## Class ThymeleafReplaceInterceptorBase

- java.lang.Object
- - org.appng.core.templating.ThymeleafReplaceInterceptorBase

- All Implemented Interfaces:
    ThymeleafReplaceInterceptor

      public abstract class ThymeleafReplaceInterceptorBase
      extends Object
      implements ThymeleafReplaceInterceptor

  A Base class for thymeleaf interceptors providing some utility functionality
  Author:
    Claus Stümke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThymeleafReplaceInterceptorBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addVariable(org.thymeleaf.context.ITemplateContext context, String key, Object value)`
    `protected org.thymeleaf.standard.expression.FragmentExpression.ExecutedFragmentExpression` | `getExecutedFragmentExpression(org.thymeleaf.context.ITemplateContext context, String attributeValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.appng.core.templating.ThymeleafReplaceInterceptor

      `getAdditionalTemplateResourceNames, getPriority, intercept`

- - ### Constructor Detail

    - #### ThymeleafReplaceInterceptorBase

          public ThymeleafReplaceInterceptorBase()

  - ### Method Detail

    - #### addVariable

          protected void addVariable(org.thymeleaf.context.ITemplateContext context,
                                     String key,
                                     Object value)

    - #### getExecutedFragmentExpression

          protected org.thymeleaf.standard.expression.FragmentExpression.ExecutedFragmentExpression getExecutedFragmentExpression(org.thymeleaf.context.ITemplateContext context,
                                                                                                                                  String attributeValue)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.